<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/timer.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">timer.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano102/112 series TIMER driver header file.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d89/timer_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2timer_8hdep" alt=""/></div>
</div>
</div>
<p><a href="../../d5/dd0/timer_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga72feaa98c11709d47e90b45a32677b92"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga72feaa98c11709d47e90b45a32677b92">TIMER_ONESHOT_MODE</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:ga72feaa98c11709d47e90b45a32677b92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga41103f29e7760dcf1747b06d93e1cc59"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41103f29e7760dcf1747b06d93e1cc59">TIMER_PERIODIC_MODE</a>&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aebc8abfd56c4168d8f944b9f8e72d773">TIMER_CTL_MODE_SEL_Pos</a>)</td></tr>
<tr class="separator:ga41103f29e7760dcf1747b06d93e1cc59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad177f87a38087cb248943f9539af9550"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad177f87a38087cb248943f9539af9550">TIMER_TOGGLE_MODE</a>&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aebc8abfd56c4168d8f944b9f8e72d773">TIMER_CTL_MODE_SEL_Pos</a>)</td></tr>
<tr class="separator:gad177f87a38087cb248943f9539af9550"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaea824dab491cf5c772b2695ac91b4220"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaea824dab491cf5c772b2695ac91b4220">TIMER_CONTINUOUS_MODE</a>&#160;&#160;&#160;(3UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aebc8abfd56c4168d8f944b9f8e72d773">TIMER_CTL_MODE_SEL_Pos</a>)</td></tr>
<tr class="separator:gaea824dab491cf5c772b2695ac91b4220"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga171c813372b2caafa1aee17b76a0e21e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga171c813372b2caafa1aee17b76a0e21e">TIMER_CAPTURE_FREE_COUNTING_MODE</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:ga171c813372b2caafa1aee17b76a0e21e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5b577508c75113be469bb74b979af91e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b577508c75113be469bb74b979af91e">TIMER_CAPTURE_TRIGGER_COUNTING_MODE</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a075e98200974966cee8dc79d177ba0c9">TIMER_CTL_TCAP_CNT_MODE_Msk</a>)</td></tr>
<tr class="separator:ga5b577508c75113be469bb74b979af91e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab10e49633e66d5322d9050a7b2ab6543"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab10e49633e66d5322d9050a7b2ab6543">TIMER_CAPTURE_COUNTER_RESET_MODE</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a00db75e748324bce2b21b469de4f16df">TIMER_CTL_TCAP_MODE_Msk</a>)</td></tr>
<tr class="separator:gab10e49633e66d5322d9050a7b2ab6543"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab928d0fd637d9c0b5472c58c8433fe38"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab928d0fd637d9c0b5472c58c8433fe38">TIMER_CAPTURE_FALLING_EDGE</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:gab928d0fd637d9c0b5472c58c8433fe38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabf4f88d1b078222b7053a850cec8f5f6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabf4f88d1b078222b7053a850cec8f5f6">TIMER_CAPTURE_RISING_EDGE</a>&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a96642ef42bb41b2618955c034375acb6">TIMER_CTL_TCAP_EDGE_Pos</a>)</td></tr>
<tr class="separator:gabf4f88d1b078222b7053a850cec8f5f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga015b901cc1d26cc790d5fdfd4a4624ca"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga015b901cc1d26cc790d5fdfd4a4624ca">TIMER_CAPTURE_FALLING_THEN_RISING_EDGE</a>&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a96642ef42bb41b2618955c034375acb6">TIMER_CTL_TCAP_EDGE_Pos</a>)</td></tr>
<tr class="separator:ga015b901cc1d26cc790d5fdfd4a4624ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf321dd7ed2d6e6c63bc0a0d9195b623f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf321dd7ed2d6e6c63bc0a0d9195b623f">TIMER_CAPTURE_RISING_THEN_FALLING_EDGE</a>&#160;&#160;&#160;(3UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a96642ef42bb41b2618955c034375acb6">TIMER_CTL_TCAP_EDGE_Pos</a>)</td></tr>
<tr class="separator:gaf321dd7ed2d6e6c63bc0a0d9195b623f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2cc45560af8a91021231fff3e8b7d43a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2cc45560af8a91021231fff3e8b7d43a">TIMER_COUNTER_RISING_EDGE</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#abfce5bc49d77aef9a93725c680b6ddf9">TIMER_CTL_EVENT_EDGE_Msk</a>)</td></tr>
<tr class="separator:ga2cc45560af8a91021231fff3e8b7d43a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7b7b53305f2df523e3e594f38d0d2c2b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7b7b53305f2df523e3e594f38d0d2c2b">TIMER_COUNTER_FALLING_EDGE</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:ga7b7b53305f2df523e3e594f38d0d2c2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5696e0b40e902b9e09e400730d958ccb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5696e0b40e902b9e09e400730d958ccb">TIMER_TIMEOUT_TRIGGER</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:ga5696e0b40e902b9e09e400730d958ccb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga02b0a0748106607aa66c7aa9fd26628e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga02b0a0748106607aa66c7aa9fd26628e">TIMER_CAPTURE_TRIGGER</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a9921523684f6601829cb7d5fd91dd753">TIMER_CTL_CAP_TRG_EN_Msk</a>)</td></tr>
<tr class="separator:ga02b0a0748106607aa66c7aa9fd26628e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6e49fe7813cac1655c534a8f61be9cc9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6e49fe7813cac1655c534a8f61be9cc9">TIMER_SET_CMP_VALUE</a>(timer,  u32Value)</td></tr>
<tr class="memdesc:ga6e49fe7813cac1655c534a8f61be9cc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to set new Timer compared value.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6e49fe7813cac1655c534a8f61be9cc9">More...</a><br /></td></tr>
<tr class="separator:ga6e49fe7813cac1655c534a8f61be9cc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga221a29b6c59e6a5bd198050ec97355ab"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga221a29b6c59e6a5bd198050ec97355ab">TIMER_SET_PRESCALE_VALUE</a>(timer,  u32Value)</td></tr>
<tr class="memdesc:ga221a29b6c59e6a5bd198050ec97355ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to set new Timer prescale value.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga221a29b6c59e6a5bd198050ec97355ab">More...</a><br /></td></tr>
<tr class="separator:ga221a29b6c59e6a5bd198050ec97355ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae6280e5315f28fd136e7fa168337891d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae6280e5315f28fd136e7fa168337891d">TIMER_IS_ACTIVE</a>(timer)</td></tr>
<tr class="memdesc:gae6280e5315f28fd136e7fa168337891d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to check if specify Timer is inactive or active.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae6280e5315f28fd136e7fa168337891d">More...</a><br /></td></tr>
<tr class="separator:gae6280e5315f28fd136e7fa168337891d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga0fd1d66fab73f93376485bb989fc7c67"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0fd1d66fab73f93376485bb989fc7c67">TIMER_Start</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga0fd1d66fab73f93376485bb989fc7c67"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to start Timer counting.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0fd1d66fab73f93376485bb989fc7c67">More...</a><br /></td></tr>
<tr class="separator:ga0fd1d66fab73f93376485bb989fc7c67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3095d4cc3f95ffec3c02cfd1b38db9e8"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3095d4cc3f95ffec3c02cfd1b38db9e8">TIMER_Stop</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga3095d4cc3f95ffec3c02cfd1b38db9e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to stop Timer counting.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3095d4cc3f95ffec3c02cfd1b38db9e8">More...</a><br /></td></tr>
<tr class="separator:ga3095d4cc3f95ffec3c02cfd1b38db9e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad445a69f7f52303a643e5f9387a558c3"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad445a69f7f52303a643e5f9387a558c3">TIMER_EnableWakeup</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:gad445a69f7f52303a643e5f9387a558c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the Timer wake-up function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad445a69f7f52303a643e5f9387a558c3">More...</a><br /></td></tr>
<tr class="separator:gad445a69f7f52303a643e5f9387a558c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga583f9d7339d496764f99429fbd81dbab"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga583f9d7339d496764f99429fbd81dbab">TIMER_DisableWakeup</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga583f9d7339d496764f99429fbd81dbab"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable the Timer wake-up function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga583f9d7339d496764f99429fbd81dbab">More...</a><br /></td></tr>
<tr class="separator:ga583f9d7339d496764f99429fbd81dbab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga93f7d80dbfd81ef63f185a9b1593f2d8"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga93f7d80dbfd81ef63f185a9b1593f2d8">TIMER_EnableCaptureDebounce</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga93f7d80dbfd81ef63f185a9b1593f2d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the capture pin detection de-bounce function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga93f7d80dbfd81ef63f185a9b1593f2d8">More...</a><br /></td></tr>
<tr class="separator:ga93f7d80dbfd81ef63f185a9b1593f2d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga136dfd19065e793a25d724a558a6282b"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga136dfd19065e793a25d724a558a6282b">TIMER_DisableCaptureDebounce</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga136dfd19065e793a25d724a558a6282b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable the capture pin detection de-bounce function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga136dfd19065e793a25d724a558a6282b">More...</a><br /></td></tr>
<tr class="separator:ga136dfd19065e793a25d724a558a6282b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga31b3fb31ec0e81e3d76ea04434a927ef"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31b3fb31ec0e81e3d76ea04434a927ef">TIMER_EnableEventCounterDebounce</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga31b3fb31ec0e81e3d76ea04434a927ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the counter pin detection de-bounce function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31b3fb31ec0e81e3d76ea04434a927ef">More...</a><br /></td></tr>
<tr class="separator:ga31b3fb31ec0e81e3d76ea04434a927ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga90c44d7420eb48f3e68aed6218140b76"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga90c44d7420eb48f3e68aed6218140b76">TIMER_DisableEventCounterDebounce</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga90c44d7420eb48f3e68aed6218140b76"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable the counter pin detection de-bounce function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga90c44d7420eb48f3e68aed6218140b76">More...</a><br /></td></tr>
<tr class="separator:ga90c44d7420eb48f3e68aed6218140b76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga52dcaf3256ba36374a25b92acb56de78"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dcaf3256ba36374a25b92acb56de78">TIMER_EnableInt</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga52dcaf3256ba36374a25b92acb56de78"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the Timer time-out interrupt function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dcaf3256ba36374a25b92acb56de78">More...</a><br /></td></tr>
<tr class="separator:ga52dcaf3256ba36374a25b92acb56de78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga46ea44652b848c9e942d1896b32ce771"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46ea44652b848c9e942d1896b32ce771">TIMER_DisableInt</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga46ea44652b848c9e942d1896b32ce771"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable the Timer time-out interrupt function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46ea44652b848c9e942d1896b32ce771">More...</a><br /></td></tr>
<tr class="separator:ga46ea44652b848c9e942d1896b32ce771"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad2287e49bacc47dc186b4f1a784ccf70"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2287e49bacc47dc186b4f1a784ccf70">TIMER_EnableCaptureInt</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:gad2287e49bacc47dc186b4f1a784ccf70"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the Timer capture trigger interrupt function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2287e49bacc47dc186b4f1a784ccf70">More...</a><br /></td></tr>
<tr class="separator:gad2287e49bacc47dc186b4f1a784ccf70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab020df868b09255cae42e676f2ed7113"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab020df868b09255cae42e676f2ed7113">TIMER_DisableCaptureInt</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:gab020df868b09255cae42e676f2ed7113"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable the Timer capture trigger interrupt function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab020df868b09255cae42e676f2ed7113">More...</a><br /></td></tr>
<tr class="separator:gab020df868b09255cae42e676f2ed7113"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaefa1dedc6523e6c1988cde80a514957e"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaefa1dedc6523e6c1988cde80a514957e">TIMER_GetIntFlag</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:gaefa1dedc6523e6c1988cde80a514957e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function indicates Timer time-out interrupt occurred or not.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaefa1dedc6523e6c1988cde80a514957e">More...</a><br /></td></tr>
<tr class="separator:gaefa1dedc6523e6c1988cde80a514957e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0e4d868cd866609e1b98e685029e399d"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e4d868cd866609e1b98e685029e399d">TIMER_ClearIntFlag</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga0e4d868cd866609e1b98e685029e399d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears the Timer time-out interrupt flag.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e4d868cd866609e1b98e685029e399d">More...</a><br /></td></tr>
<tr class="separator:ga0e4d868cd866609e1b98e685029e399d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga348a52b97a987e141d4406e5bb253896"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348a52b97a987e141d4406e5bb253896">TIMER_GetCaptureIntFlag</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga348a52b97a987e141d4406e5bb253896"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function indicates Timer capture interrupt occurred or not.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348a52b97a987e141d4406e5bb253896">More...</a><br /></td></tr>
<tr class="separator:ga348a52b97a987e141d4406e5bb253896"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d5a910f2caff7a8e7ee2390a534463c"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d5a910f2caff7a8e7ee2390a534463c">TIMER_ClearCaptureIntFlag</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga3d5a910f2caff7a8e7ee2390a534463c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears the Timer capture interrupt flag.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d5a910f2caff7a8e7ee2390a534463c">More...</a><br /></td></tr>
<tr class="separator:ga3d5a910f2caff7a8e7ee2390a534463c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3e1ee4f64bd158bbb76acaac4e25b90a"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e1ee4f64bd158bbb76acaac4e25b90a">TIMER_GetWakeupFlag</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga3e1ee4f64bd158bbb76acaac4e25b90a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function indicates Timer has waked up system or not.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e1ee4f64bd158bbb76acaac4e25b90a">More...</a><br /></td></tr>
<tr class="separator:ga3e1ee4f64bd158bbb76acaac4e25b90a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf78a85b8781c5cba0d3dfaa30b9c1248"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf78a85b8781c5cba0d3dfaa30b9c1248">TIMER_ClearWakeupFlag</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:gaf78a85b8781c5cba0d3dfaa30b9c1248"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears the Timer wakeup interrupt flag.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf78a85b8781c5cba0d3dfaa30b9c1248">More...</a><br /></td></tr>
<tr class="separator:gaf78a85b8781c5cba0d3dfaa30b9c1248"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04e518c504610075d9b8760d2e77eb82"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04e518c504610075d9b8760d2e77eb82">TIMER_GetCaptureData</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga04e518c504610075d9b8760d2e77eb82"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function gets the Timer capture data.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04e518c504610075d9b8760d2e77eb82">More...</a><br /></td></tr>
<tr class="separator:ga04e518c504610075d9b8760d2e77eb82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0e28cb4a25335a5b32e2e5edcae2161f"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e28cb4a25335a5b32e2e5edcae2161f">TIMER_GetCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga0e28cb4a25335a5b32e2e5edcae2161f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reports the current timer counter value.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e28cb4a25335a5b32e2e5edcae2161f">More...</a><br /></td></tr>
<tr class="separator:ga0e28cb4a25335a5b32e2e5edcae2161f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga234d45c63fb6f5e977dbef2294089621"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">TIMER_Open</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Mode, uint32_t u32Freq)</td></tr>
<tr class="memdesc:ga234d45c63fb6f5e977dbef2294089621"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to configure timer to operate in specified mode and frequency. If timer cannot work in target frequency, a closest frequency will be chose and returned.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">More...</a><br /></td></tr>
<tr class="separator:ga234d45c63fb6f5e977dbef2294089621"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga83113a85eb313523f4ec35ab585d8968"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83113a85eb313523f4ec35ab585d8968">TIMER_Close</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga83113a85eb313523f4ec35ab585d8968"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API stops Timer counting and disable the Timer interrupt function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83113a85eb313523f4ec35ab585d8968">More...</a><br /></td></tr>
<tr class="separator:ga83113a85eb313523f4ec35ab585d8968"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0dad1dbaf69f945c3d0d5aa91c4eef86"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0dad1dbaf69f945c3d0d5aa91c4eef86">TIMER_Delay</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Usec)</td></tr>
<tr class="memdesc:ga0dad1dbaf69f945c3d0d5aa91c4eef86"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to create a delay loop for u32usec micro seconds.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0dad1dbaf69f945c3d0d5aa91c4eef86">More...</a><br /></td></tr>
<tr class="separator:ga0dad1dbaf69f945c3d0d5aa91c4eef86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga80ba64bdc40d36cb4a2139f4651b1c42"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80ba64bdc40d36cb4a2139f4651b1c42">TIMER_EnableCapture</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32CapMode, uint32_t u32Edge)</td></tr>
<tr class="memdesc:ga80ba64bdc40d36cb4a2139f4651b1c42"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to enable timer capture function with specified mode and capture edge.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80ba64bdc40d36cb4a2139f4651b1c42">More...</a><br /></td></tr>
<tr class="separator:ga80ba64bdc40d36cb4a2139f4651b1c42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1de0e4c2c84476d6c39d40a3bcaac18a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1de0e4c2c84476d6c39d40a3bcaac18a">TIMER_DisableCapture</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga1de0e4c2c84476d6c39d40a3bcaac18a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to disable the Timer capture function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1de0e4c2c84476d6c39d40a3bcaac18a">More...</a><br /></td></tr>
<tr class="separator:ga1de0e4c2c84476d6c39d40a3bcaac18a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72fc8741562dbff619aa7dfe8b73c0a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72fc8741562dbff619aa7dfe8b73c0a7">TIMER_EnableEventCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Edge)</td></tr>
<tr class="memdesc:ga72fc8741562dbff619aa7dfe8b73c0a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the Timer counter function with specify detection edge.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72fc8741562dbff619aa7dfe8b73c0a7">More...</a><br /></td></tr>
<tr class="separator:ga72fc8741562dbff619aa7dfe8b73c0a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4460ba2e5f3bdddafab005e1e1fda0da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4460ba2e5f3bdddafab005e1e1fda0da">TIMER_DisableEventCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga4460ba2e5f3bdddafab005e1e1fda0da"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to disable the Timer event counter function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4460ba2e5f3bdddafab005e1e1fda0da">More...</a><br /></td></tr>
<tr class="separator:ga4460ba2e5f3bdddafab005e1e1fda0da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga56facc5683886f3ff3b273a3b5e47fcd"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">TIMER_GetModuleClock</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga56facc5683886f3ff3b273a3b5e47fcd"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to get the clock frequency of Timer.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">More...</a><br /></td></tr>
<tr class="separator:ga56facc5683886f3ff3b273a3b5e47fcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga452e6b15e2da57f1bb4432e01831c818"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga452e6b15e2da57f1bb4432e01831c818">TIMER_ResetCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga452e6b15e2da57f1bb4432e01831c818"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to reset the Timer counter value.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga452e6b15e2da57f1bb4432e01831c818">More...</a><br /></td></tr>
<tr class="separator:ga452e6b15e2da57f1bb4432e01831c818"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaf424bb31a227f8d672f337e5c6a6059"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaf424bb31a227f8d672f337e5c6a6059">TIMER_EnableFreqCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32DropCount, uint32_t u32Timeout, uint32_t u32EnableInt)</td></tr>
<tr class="memdesc:gaaf424bb31a227f8d672f337e5c6a6059"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the Timer frequency counter function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaf424bb31a227f8d672f337e5c6a6059">More...</a><br /></td></tr>
<tr class="separator:gaaf424bb31a227f8d672f337e5c6a6059"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga709e58fa2804ed056f2e77f4b26cf686"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga709e58fa2804ed056f2e77f4b26cf686">TIMER_DisableFreqCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga709e58fa2804ed056f2e77f4b26cf686"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable the Timer frequency counter function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga709e58fa2804ed056f2e77f4b26cf686">More...</a><br /></td></tr>
<tr class="separator:ga709e58fa2804ed056f2e77f4b26cf686"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0d86a240e96da7b8db2c11f4bbb46693"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0d86a240e96da7b8db2c11f4bbb46693">TIMER_SetTriggerSource</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Src)</td></tr>
<tr class="memdesc:ga0d86a240e96da7b8db2c11f4bbb46693"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to select the interrupt source used to trigger other modules.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0d86a240e96da7b8db2c11f4bbb46693">More...</a><br /></td></tr>
<tr class="separator:ga0d86a240e96da7b8db2c11f4bbb46693"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa01b131e6bd3d6c51662670377d32c97"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa01b131e6bd3d6c51662670377d32c97">TIMER_SetTriggerTarget</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Mask)</td></tr>
<tr class="memdesc:gaa01b131e6bd3d6c51662670377d32c97"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to set modules trigger by timer interrupt.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa01b131e6bd3d6c51662670377d32c97">More...</a><br /></td></tr>
<tr class="separator:gaa01b131e6bd3d6c51662670377d32c97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano102/112 series TIMER driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>8 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/22 3:33p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
